<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Estimate Realized</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" th:text="${'Estimate Realized Of '+ anggaranDetail.getAnggaran().getDepartemen().getNamaDepartemen()}">
                    Budget
                </div>
            </div>
        </div>
        <br>
        <div class="row">
            <div class="col-md-6">
                <div class="alert alert-primary">
                    <p th:text="${'Post : ' + anggaranDetail.anggaran.kodeAnggaran}">Follow the steps to continue to payment.</p>
                    <p th:text="${'Name : ' + anggaranDetail.anggaran.namaAnggaran}">Follow the steps to continue to payment.</p>
                    <p th:text="${'Description : ' + anggaranDetail.deskripsi}">Follow the steps to continue to payment.</p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <form class="form-horizontal" th:action="@{/setting/admin/anggarandetail/estimasi/update(anggaranDetail = ${anggaranDetail.id})}" th:object="${anggaranDetailEstimasi}" method="post">
                    <div class="card">
                        <div class="card-body">
                            <div class="mb-3">
                                <label for="tanggalEstimasiString" class="form-label">Date</label>
                                <input type="date" class="form-control" id="tanggalEstimasiString" th:field="*{tanggalEstimasiString}" name="tanggalEstimasiString" placeholder="Title">
                                <p th:if="${#fields.hasErrors('tanggalEstimasiString')}" th:errors="*{tanggalEstimasiString}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                            <div class="mb-3">
                                <label for="kuantitas" class="form-label">Qty</label>
                                <input type="text" class="form-control" id="kuantitas" th:field="*{kuantitas}" name="kuantitas" placeholder="0">
                                <p th:if="${#fields.hasErrors('kuantitas')}" th:errors="*{kuantitas}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="selectsatu" class="form-label">Unit</label>
                                <select class="form-select" id="selectsatu" name="satuan" th:field="*{satuan}" data-placeholder="Choose one thing">
                                    <option th:each="data : ${satuan}"
                                            th:text="${'('+ data.satuan +')'  + '       -       ' +  data.satuan}"
                                            th:value="${data.satuan}">sdasd</option>
                                </select>
                            </div>

                            <div class="mb-3">
                                <label for="amount" class="form-label">Amount</label>
                                <input type="text" class="form-control" id="amount" th:field="*{amount}" name="amount" placeholder="0">
                                <p th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="deskripsi" class="form-label">Description</label>
                                <textarea class="form-control" id="deskripsi" name="deskripsi" th:field="*{deskripsi}" rows="3"></textarea>
                                <p th:if="${#fields.hasErrors('deskripsi')}" th:errors="*{deskripsi}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                            <input type="hidden" name="id" th:field="*{id}">
                        </div>
                        <div class="card-body">
                            <a th:href="@{/setting/admin/anggarandetail/estimasi(anggaranDetail = ${anggaranDetail.id})}" class="btn btn-default">Cancel</a>
                            <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </main>

</main>

</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Estimated Realized</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Estimated Realized-->
<!--        <small>Form</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Setting</li>-->
<!--        <li class="active"> Estimated Realized</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->

<!--        <div class="col-md-6">-->
<!--            &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--            <div class="box box-info">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Form Estimated Realized</h3>-->
<!--                    <br>-->
<!--                    <br>-->

<!--&lt;!&ndash;                    <p th:text="${'Post : ' + anggaranDetail.anggaran.kodeAnggaran}">Follow the steps to continue to payment.</p>&ndash;&gt;-->
<!--&lt;!&ndash;                    <p th:text="${'Name : ' + anggaranDetail.anggaran.namaAnggaran}">Follow the steps to continue to payment.</p>&ndash;&gt;-->
<!--&lt;!&ndash;                    <p th:text="${'Description : ' + anggaranDetail.deskripsi}">Follow the steps to continue to payment.</p>&ndash;&gt;-->

<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                &lt;!&ndash; form start &ndash;&gt;-->
<!--                <form class="form-horizontal" th:action="@{/setting/admin/anggarandetail/estimasi/update(anggaranDetail = ${anggaranDetail.id})}" th:object="${anggaranDetailEstimasi}" method="post">-->
<!--                    <div class="box-body">-->


<!--                        <div class="form-group">-->
<!--                            <label for="tanggalEstimasiString"  class="col-sm-2 control-label">Date</label>-->
<!--                            <div class="col-sm-10">-->

<!--                                <div class="input-group date">-->
<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-calendar"></i>-->
<!--                                    </div>-->
<!--                                    <input type="text" class="form-control pull-right" id="tanggalEstimasiString" th:field="*{tanggalEstimasiString}" name="tanggalEstimasiString" placeholder="MM/dd/yyyy">-->
<!--                                </div>-->
<!--                                &lt;!&ndash;                                        <input type="date" th:field="*{tanggalPenerimaan}" name="tanggalPenerimaan" id="tanggalPenerimaan" class="form-control">&ndash;&gt;-->

<!--                                <p th:if="${#fields.hasErrors('tanggalEstimasi')}" th:errors="*{tanggalEstimasi}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="kuantitas" class="col-sm-2 control-label">Qty</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{kuantitas}" name="kuantitas" id="kuantitas" placeholder="0.00">-->
<!--                                <p th:if="${#fields.hasErrors('kuantitas')}" th:errors="*{kuantitas}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="satuan" class="col-sm-2 control-label">Units</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="satuan" th:field="*{satuan}" id="satuan" style="width: 100%;">-->
<!--                                    <option th:each="data : ${satuan}"-->
<!--                                            th:text="${'('+ data.satuan +')'  + '       -       ' +  data.satuan}"-->
<!--                                            th:value="${data.satuan}">sdasd</option>-->
<!--                                </select>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="amount" class="col-sm-2 control-label">Price</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{amount}" name="amount" id="amount" placeholder="0.00" th:value="${anggaranDetail.amount}" contenteditable="false">-->
<!--                                <p th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="deskripsi" class="col-sm-2 control-label">Description</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <textarea class="form-control" rows="3" th:field="*{deskripsi}" name="deskripsi" id="deskripsi" placeholder="deskripsi ..."></textarea>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        &lt;!&ndash;                        <input type="hidden" name="penerimaan" th:field="*{penerimaan}" th:value="${rencanaPenerimaan}" >&ndash;&gt;-->
<!--                        <input type="hidden" name="id" th:field="*{id}">-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer">-->

<!--                        <a th:href="@{/setting/admin/anggarandetail/estimasi(id = ${anggaranDetail.id})}" class="btn btn-default">Cancel</a>-->
<!--                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('yyyy-mm-dd', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalEstimasiString').datepicker({-->
<!--                autoclose: true, locale: { format: 'YYYY-MM-DD' }-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->